+(function($) {
  "use strict";

  var CodeSwitch = function(el) {
    this.el = el;
    this.onoff = false;
    this.codeHeight = 0;
    this.el.attr('switch', true)
  };

  // 初始化函数
  CodeSwitch.prototype.init = function() {
    var el = this.$el;
    var self = this;
    this.discript = this.el.find(".discript");
    this.code = this.el.find(".code");
    this.code.children().each(function(i, node) {
      self.codeHeight += $(node).height() + 18;
    });
    this.el.append('<div class="showCode">▽展开</div>');
    this.bind();
  };

  // 更改switch颜色，状态
  CodeSwitch.prototype.bind = function() {
    var showbtn = this.el.find(".showCode");
    var self = this;
    showbtn.click(function(e) {
      self.onoff = !self.onoff;
      var height = self.onoff ? self.codeHeight + "px" : 0;
      $(this).html(self.onoff ? '△收缩' : '▽展开')
      self.code.css("height", height);
    });
  };

  function Plugin(options) {
    this.each(function(i, node) {
      var sw = new CodeSwitch($(node), options);
      sw.init()
    });
  }

  var old = $.fn.switch;

  $.fn.codeSwitch = Plugin;
  $.fn.codeSwitch.Constructor = CodeSwitch;

  $.fn.codeSwitch.noConflict = function() {
    $.fn.codeSwitch = old;
    return this;
  };
})(jQuery);


var hash = location.href.split('#')[1] || 'readme'

var navItems = $('.navItem')
var nodata = $('#nodata')

var selectNav = null
var selectContent = $('div[data-nav=' + hash + ']')


var catchData = {}

setTimeout(function () {
  var arr = selectContent.find('.docDemo').codeSwitch()
})


navItems.each(function (index, nav) {
  if ($(nav).data('nav') === hash) {
    selectNav = $(nav)
    selectNav.addClass('active')
    selectContent.addClass('active')
  }
})


navItems.click(function(e){
  var hash = $(this).data('nav')
  if (hash) {
    selectNav.removeClass('active')
    selectContent.removeClass('active')

    selectContent = $('div[data-nav=' + hash + ']')
    selectNav = $(this)
  
    selectNav.addClass('active')
    selectContent.addClass('active')
  } else {
    selectNav.removeClass('active')
    selectContent.removeClass('active')

    selectContent = nodata
    selectNav = $(this)
  
    selectNav.addClass('active')
    selectContent.addClass('active')
  }
  if (!selectContent.find('.docDemo').attr('switch')) {
    selectContent.find('.docDemo').codeSwitch()
  }
  $('html,body').animate({ scrollTop: 0 }, 100);
})