## Switch 开关

表示两种相互对立的状态间的切换，多用于触发「开/关」。

### 基本用法

<div class="docDemo">
<div class="discript">

  <h3>基本用法</h3>
  <div id="switch1" class="hz-switch switch-on"></div>

  <br />
  <h3>自定义主题颜色</h3>

  <div class="hz-switch switch-off" themeColor="green"></div>
</div>
<div class="code">

````html

<h3>基本用法</h3>
  <div id="switch1" class="hz-switch switch-on"></div>

<br />
<h3>自定义主题颜色</h3>

<div class="hz-switch switch-off" themeColor="green"></div>

````

````js
$('.hz-switch').switch({
  click: function (onoff, el, event) {
    console.log(onoff, el, event)
  }
})

````

</div>
</div>


### 参数说明

| 参数 | 说明 | 类型 | 可选值 | 默认值
| ------ | ------ | ------ | ------ | ------ |
| click | 点击触发的事件 | function |  可选 | function (onoff, el, event)



<script>
$('.hz-switch').switch({
  click: function (onoff, el, event) {
    console.log(onoff, el, event)
  }
})
</script>